Skip to main content
Resource Center/Bare Metal Management (Plus)/Bare Metal Management Operations

QueryPreconfigurationTemplate

QueryPreconfigurationTemplate

GET/zstack/v1/baremetal/preconfigurations
GET/zstack/v1/baremetal/preconfigurations/{uuid}

Operation ID

QueryPreconfigurationTemplate

Since

3.4.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • q
    String

    Query conditions.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventories
    ListRequired

    See inventories

    • uuid
      StringRequired

      The UUID of the preconfigured template.

    • name
      StringRequired

      The name of the template.

    • description
      StringRequired

      The detailed description of the preconfigured template.

    • distribution
      StringRequired

      The distribution of the operating system.

    • type
      StringRequired

      The type of the template.

    • content
      StringRequired

      The content of the template.

    • md5sum
      StringRequired

      The MD5 value of the template.

    • isPredefined
      BooleanRequired

      Indicates whether the system of the template was predefined.

    • state
      StringRequired

      The state of the template.

    • createDate
      TimestampRequired

      The time when the template was created.

    • lastOpDate
      TimestampRequired

      The time when the template was last modified.